Bug 320201 - should include session autostart file
should include session autostart file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
bzcl34nup
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 10:23 EDT by Jeremy Katz
Modified: 2014-06-18 05:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:18:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg-x11-init-seahorse.patch (3.02 KB, patch)
2007-12-02 21:23 EST, Matt Domsch
no flags Details | Diff

  None (edit)
Description Jeremy Katz 2007-10-05 10:23:50 EDT
If seahorse wants to make it easier for people to have it running in the
session, it should probably include a desktop file in /etc/xdg/autostart (or
/usr/share/gnome/autostart for GNOME only) like some of the other desktop files
there.  That'll make the "Add it to the session manager" bit less annoying
Comment 1 Matt Domsch 2007-12-02 21:21:31 EST
Actually, the preferred way to do it is to invoke it prior to starting
gnome-session. 
http://live.gnome.org/Seahorse/SessionIntegration

This requires editing xorg-x11-xinit.  Re-assigning and I'll attach a patch.
Comment 2 Matt Domsch 2007-12-02 21:23:10 EST
Created attachment 275211 [details]
xorg-x11-init-seahorse.patch

Patch to invoke seahorse-agent if present before gnome-session etc. 
"worksforme" with gnome, I haven't tried KDE.
Comment 3 Bug Zapper 2008-04-04 10:00:26 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-11-26 02:54:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:18:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.